<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++ Members: Show All Members: Filtered Members: Filtered Members: Filtered

Berkeley DB .NET API Documentation
Transaction Properties
Transaction Class See Also Send Feedback

The Transaction type exposes the following members.

# Properties

| Name | Description
--- | --- | ---
| CommitToken | The commit token generated at the commit time of this transaction. This operation can only be performed after this transaction has committed.
| Id | The unique transaction id associated with this transaction.
| Name | The transaction's name. The name is returned by TransactionSystemStats()()() and displayed by PrintTransactionSystemStats()()().
| Priority | The deadlock priority for this transaction. The deadlock detector will reject lock requests from lower priority transactions before those from higher priority transactions.

# See Also

Transaction Class
BerkeleyDB Namespace